<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\master_worker;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\master_worker\MasterWorkerLists;
use app\adminapi\lists\master_worker\MoneyAnalysis;
use app\adminapi\logic\master_worker\MasterWorkerLogic;
use app\adminapi\validate\master_worker\MasterWorkerValidate;


/**
 * MasterWorker控制器
 * Class MasterWorkerController
 * @package app\adminapi\controller\master_worker
 */
class MasterWorkerController extends BaseAdminController
{
    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 18:17
     */
    public function lists()
    {
        return $this->dataLists(new MasterWorkerLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 18:17
     */
    public function add()
    {
        $params = (new MasterWorkerValidate())->post()->goCheck('add');
        $result = MasterWorkerLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(MasterWorkerLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 18:17
     */
    public function edit()
    {
        $params = (new MasterWorkerValidate())->post()->goCheck('edit');
        $result = MasterWorkerLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(MasterWorkerLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 18:17
     */
    public function delete()
    {
        $params = (new MasterWorkerValidate())->post()->goCheck('delete');
        MasterWorkerLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/07/10 18:17
     */
    public function detail()
    {
        $params = (new MasterWorkerValidate())->goCheck('detail');
        $result = MasterWorkerLogic::detail($params);
        return $this->data($result);
    }

    /**
     * 获取加盐密码
     * @return \think\response\Json
     */
    public function saltToPassword()
    {
        $params = (new MasterWorkerValidate())->get()->goCheck('saltToPassword');
        $result = MasterWorkerLogic::saltToPassword($params);
        if (false === $result) {
            return $this->fail(MasterWorkerLogic::getError());
        }
        return $this->data($result);
    }
    /**
     * @notes 工程师余额数据分析
     * @return \think\response\Json
     */
    public function moneyAnalysis()
    {
        return $this->dataLists(new MoneyAnalysis());
    }

    public function getAllWorkers()
    {
        $params = (new MasterWorkerValidate())->get();
        $result = MasterWorkerLogic::getAllWorkers($params);
        if (false === $result) {
            return $this->fail(MasterWorkerLogic::getError());
        }
        return $this->data($result);
    }
}